Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class BasicModel

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.BasicModel

All Implemented Interfaces:
  AVList, Model, WWObject, PropertyChangeListener, EventListener

    public class BasicModel

extends WWObjectImpl
implements Model

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`BasicModel()`

Method Summary
`Extent` | `getExtent()`
`Globe` | `getGlobe()`
`LayerList` | `getLayers()`
`Tessellator` | `getTessellator()`
`boolean` | `isShowTessellationBoundingVolumes()`
`boolean` | `isShowWireframeExterior()`
`boolean` | `isShowWireframeInterior()`
`void` | `setGlobe(Globe globe)`
`void` | `setLayers(LayerList layers)`
`void` | `setShowTessellationBoundingVolumes(boolean showTessellationBoundingVolumes)`
`void` | `setShowWireframeExterior(boolean show)`
`void` | `setShowWireframeInterior(boolean show)`
`void` | `setTessellator(Tessellator tessellator)`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### BasicModel

    public BasicModel()

Method Detail

### getExtent

    public Extent getExtent()

  Specified by:
    `getExtent` in interface `Model`

### getGlobe

    public Globe getGlobe()

  Specified by:
    `getGlobe` in interface `Model`

### getLayers

    public LayerList getLayers()

  Specified by:
    `getLayers` in interface `Model`

### getTessellator

    public Tessellator getTessellator()

  Specified by:
    `getTessellator` in interface `Model`

### isShowTessellationBoundingVolumes

    public boolean isShowTessellationBoundingVolumes()

  Specified by:
    `isShowTessellationBoundingVolumes` in interface `Model`

### isShowWireframeExterior

    public boolean isShowWireframeExterior()

  Specified by:
    `isShowWireframeExterior` in interface `Model`

### isShowWireframeInterior

    public boolean isShowWireframeInterior()

  Specified by:
    `isShowWireframeInterior` in interface `Model`

### setGlobe

    public void setGlobe(Globe globe)

  Specified by:
    `setGlobe` in interface `Model`

### setLayers

    public void setLayers(LayerList layers)

  Specified by:
    `setLayers` in interface `Model`

### setShowTessellationBoundingVolumes

    public void setShowTessellationBoundingVolumes(boolean showTessellationBoundingVolumes)

  Specified by:
    `setShowTessellationBoundingVolumes` in interface `Model`

### setShowWireframeExterior

    public void setShowWireframeExterior(boolean show)

  Specified by:
    `setShowWireframeExterior` in interface `Model`

### setShowWireframeInterior

    public void setShowWireframeInterior(boolean show)

  Specified by:
    `setShowWireframeInterior` in interface `Model`

### setTessellator

    public void setTessellator(Tessellator tessellator)

  Specified by:
    `setTessellator` in interface `Model`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD